This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 961263 - missing package in text mode - KeyError
missing package in text mode - KeyError
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-09 05:28 EDT by Michal Kovarik
Modified: 2013-09-10 15:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 15:54:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda-tb (12.46 MB, text/plain)
2013-05-09 05:28 EDT, Michal Kovarik
no flags Details

  None (edit)
Description Michal Kovarik 2013-05-09 05:28:29 EDT
Created attachment 745590 [details]
anaconda-tb

Description of problem:
Kickstart text installation with unknown package in kickstart fails with traceback:
 anaconda 19.24-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 52, in add
    raise KeyError
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/hubs/progress.py", line 107, in refresh
    self.instclass)))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/simpleline/base.py", line 280, in _do_redraw
    input_needed = screen.refresh(args)
KeyError

Version-Release number of selected component (if applicable):
Fedora 19 Beta TC3
anaconda 19.24-1

How reproducible:
Always

Steps to Reproduce:
1. prepare kickstart with non-existing package:
%packages 
foo1
%end
2. run text installation with prepared kickstart
3. type 'yes' for confirm question: Would you like to skip this package and continue with installation?
  
Actual results:
Installation fails with traceback

Expected results:
successful installation

Additional info:
Comment 2 Orion Poplawski 2013-09-10 13:23:42 EDT
I don't know if this was ever supposedly fixed or not.  But with F20-Alpha-TC5 after saying yes to skip a couple missing packages the system eventually just shuts down after package select is complete.
Comment 3 Orion Poplawski 2013-09-10 13:29:35 EDT
Scratch that - this is happening even when I removed the missing packages from the install set.
Comment 4 Samantha N. Bueno 2013-09-10 14:39:05 EDT
Please add log files as text/plain attachments. The tb originally attached is old.
Comment 5 Orion Poplawski 2013-09-10 15:36:21 EDT
The issue I'm seeing now is bug #1002811.  This one appears to be fixed at least in F20-Alpha if not in F19.

Note You need to log in before you can comment on or make changes to this bug.